Skip to content

Get Agency Billing

GET
/api/v1/agency/billing
curl --request GET \
--url 'https://api.ultimateteam.ai/api/v1/agency/billing?period=current' \
--header 'X-API-Key: <X-API-Key>'

Consolidated per-brand credit usage for the current or previous month.

period
Period
string
default: current
Allowed values: current previous

Successful Response

Media typeapplication/json
ConsolidatedBilling

Consolidated per-brand credit usage for one calendar month.

object
brands
required
Brands
Array<object>
BrandBillingLine

Credits consumed by one brand’s tenants in the billing period.

object
actions
required
Actions
integer
brand_id
required
Brand Id
string format: uuid
brand_name
required
Brand Name
string
credits_used
required
Credits Used
integer
tenant_count
required
Tenant Count
integer
period
required
Period
string
Allowed values: current previous
period_end
required
Period End
string format: date-time
period_start
required
Period Start
string format: date-time
total_credits
required
Total Credits
integer
Example
{
"period": "current"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}